package com.koutra.nodejava;

/**
 * Interface that is to be implemented by any processor that can be applied
 * to the NodeJava infrastructure to process HttpRequests.
 * 
 * @author pftakas
 */
public interface HttpProcessor {
	/**
	 * Handle a request.
	 * 
	 * @param request the request
	 * @param response the response
	 * @throws NodeJavaException iff something goes wrong.
	 */
	void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException;
}
