package com.koutra.nodejava;

/**
 * An exception that is generated by the NodeJava system.
 * 
 * @author pftakas
 */
public class NodeJavaException extends Exception {

	private static final long serialVersionUID = 454176815346283563L;

	/**
	 * Default constructor with a simple message.
	 * @param message the message that is associated with the exception.
	 */
	public NodeJavaException(String message) {
		super(message);
	}
	
	/**
	 * Default initializing constructor for a wrapped exception.
	 * @param message the message that is associated with the exception.
	 * @param t the underlying throwable.
	 */
	public NodeJavaException(String message, Throwable t) {
		super(message, t);
	}
}
