package com.koutra.nodejava;

/**
 * A simple interface that allows a delegate class to notify its wrapper that
 * an event has taken place. It is used to notify the request processing time
 * keeping code when the first byte of a request is received by the blocking
 * code that receives input from the socket input stream.
 * 
 * @author pftakas
 */
public interface TimeRecorder {
	/**
	 * Callback to set the start time of the request processing when the first
	 * byte is received.
	 * @param startTime the time in milliseconds since the start of the epoch,
	 * when the first request byte was received by the server.
	 */
	void setStartTime(long startTime);
}
