package com.koutra.nodejava.registry;

public class Transport {
	private static final int DEFAULT_PLAIN_SERVER_PORT = 8080;
	private static final int DEFAULT_SECURE_SERVER_PORT = 443;
	private static final int DEFAULT_PROCESS_CLIENT_POOL_SIZE = 100;
	private static final int DEFAULT_PROCESS_CLIENT_TRANSPORT_POOL_SIZE = 100;

	protected boolean secure;
	protected String keyStorePath;
	protected String keyStorePassword;
	protected String aliasPassword;
	protected int plainServerPort;
	protected int secureServerPort;
	protected int processClientPoolSize;
	protected int processClientTransportPoolSize;
	
	public Transport() {
		this.secure = false;
		this.keyStorePath = null;
		this.keyStorePassword = null;
		this.aliasPassword = null;
		this.plainServerPort = DEFAULT_PLAIN_SERVER_PORT;
		this.secureServerPort = DEFAULT_SECURE_SERVER_PORT;
		this.processClientPoolSize = DEFAULT_PROCESS_CLIENT_POOL_SIZE;
		this.processClientTransportPoolSize = DEFAULT_PROCESS_CLIENT_TRANSPORT_POOL_SIZE;
	}

	public boolean isSecure() {
		return secure;
	}

	public void setSecure(boolean secure) {
		this.secure = secure;
	}

	public String getKeyStorePath() {
		return keyStorePath;
	}

	public void setKeyStorePath(String keyStorePath) {
		this.keyStorePath = keyStorePath;
	}

	public String getKeyStorePassword() {
		return keyStorePassword;
	}

	public void setKeyStorePassword(String keyStorePassword) {
		this.keyStorePassword = keyStorePassword;
	}

	public String getAliasPassword() {
		return aliasPassword;
	}

	public void setAliasPassword(String aliasPassword) {
		this.aliasPassword = aliasPassword;
	}

	public int getPlainServerPort() {
		return plainServerPort;
	}

	public void setPlainServerPort(int plainServerPort) {
		this.plainServerPort = plainServerPort;
	}

	public int getSecureServerPort() {
		return secureServerPort;
	}

	public void setSecureServerPort(int secureServerPort) {
		this.secureServerPort = secureServerPort;
	}

	public int getProcessClientPoolSize() {
		return processClientPoolSize;
	}

	public void setProcessClientPoolSize(int processClientPoolSize) {
		this.processClientPoolSize = processClientPoolSize;
	}

	public int getProcessClientTransportPoolSize() {
		return processClientTransportPoolSize;
	}

	public void setProcessClientTransportPoolSize(int processClientTransportPoolSize) {
		this.processClientTransportPoolSize = processClientTransportPoolSize;
	}
}
