package com.koutra.nodejava.registry;

import java.io.IOException;
import java.io.PrintWriter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.koutra.nodejava.HttpProcessor;
import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.utils.HttpConstants;

public class UnmatchedPathProcessor implements HttpProcessor {
	private static final Logger logger = LoggerFactory.getLogger(
			UnmatchedPathProcessor.class);
	
	protected String path;
	
	public UnmatchedPathProcessor(String path) {
		this.path = path;
	}

	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		try {
			response.setStatus(HttpResponse.SC_INTERNAL_SERVER_ERROR);
			response.setContentType(HttpConstants.CONTENT_TYPE_TEXT_HTML);
	
			PrintWriter writer = response.getWriter();
			
			writer.write("<html>" + HttpConstants.CRLF);
			writer.write("<head>" + HttpConstants.CRLF);
			writer.write("<title>Unmatched Path.</title>" + HttpConstants.CRLF);
			writer.write("</head>" + HttpConstants.CRLF);
			writer.write("<body>" + HttpConstants.CRLF);
			writer.write("<p>We could not find a processor for: '" + path + "'</p>" + HttpConstants.CRLF);
			writer.write("</body>" + HttpConstants.CRLF);
			writer.write("</html>" + HttpConstants.CRLF);
		} catch (IOException e) {
			logger.error("Unable to write a response.");
		}
	}

}
