package com.koutra.nodejava.thymeleaf;

import java.util.Locale;

import org.thymeleaf.context.IContext;
import org.thymeleaf.context.VariablesMap;

public class NodeJavaContext implements IContext {

	protected Locale locale;
	protected VariablesMap<String, Object> variables;
	
	public NodeJavaContext(Locale locale) {
		this.locale = locale;
		variables = new VariablesMap<String, Object>();
	}
	
	public void setVariable(String name, Object value) {
		variables.put(name, value);
	}
	
	@Override
	public VariablesMap<String, Object> getVariables() {
		return variables;
	}

	@Override
	public Locale getLocale() {
		return locale;
	}

	@Override
	public void addContextExecutionInfo(String templateName) {
		setVariable("execInfo", new NodeJavaContentExecutionInfo(templateName));
	}

}
