package com.koutra.nodejava.thymeleaf;

import java.util.ResourceBundle;

import org.thymeleaf.Arguments;
import org.thymeleaf.messageresolver.IMessageResolver;
import org.thymeleaf.messageresolver.MessageResolution;
import org.thymeleaf.templateresolver.TemplateResolution;

public class NodeJavaMessageResolver implements IMessageResolver {

	@Override
	public String getName() {
		return "NodeJavaMessageResolver";
	}

	@Override
	public Integer getOrder() {
		return new Integer(1);
	}

	@Override
	public MessageResolution resolveMessage(Arguments arguments,
			TemplateResolution templateResolution, String key,
			Object[] messageParameters) {
		ResourceBundle bundle = ResourceBundle.getBundle(
				"thymeleaf", arguments.getContext().getLocale());
		MessageResolution retVal = new MessageResolution(bundle.getString(key));
		return retVal;
	}

	@Override
	public void initialize() {
		// Nothing to do.
	}

}
