package com.koutra.nodejava.thymeleaf;

import org.thymeleaf.Arguments;
import org.thymeleaf.TemplateMode;
import org.thymeleaf.templateresolver.ITemplateResolver;
import org.thymeleaf.templateresolver.TemplateResolution;

public class NodeJavaTemplateResolver implements ITemplateResolver {

	@Override
	public String getName() {
		return "NodeJavaTemplateResolver";
	}

	@Override
	public Integer getOrder() {
		return new Integer(1);
	}

	@Override
	public TemplateResolution resolveTemplate(Arguments arguments) {
		TemplateResolution retVal = new TemplateResolution(
				arguments.getTemplateName(),
				arguments.getTemplateName(),
				new NodeJavaResourceResolver(),
				"UTF-8",
				TemplateMode.HTML5,
				new NodeJavaTemplateResolutionValidity());
		return retVal;
	}

	@Override
	public void initialize() {
		// Nothing to do here.
	}

}
