package com.koutra.nodejava.utils;

/**
 * A repository of HTTP constants that are used in the rest of the system.
 * 
 * @author pftakas
 */
public class HttpConstants {
	/* PROTOCOL VERSIONS */
	public static final String PROTOCOL_HTTP_1_0 = "HTTP/1.0";
	public static final String PROTOCOL_HTTP_1_1 = "HTTP/1.1";
	
	/* METHOD NAMES */
	public static final String METHOD_OPTIONS =	"OPTIONS";
	public static final String METHOD_GET =		"GET";
	public static final String METHOD_HEAD =	"HEAD";
	public static final String METHOD_POST =	"POST";
	public static final String METHOD_PUT =		"PUT";
	public static final String METHOD_DELETE =	"DELETE";
	public static final String METHOD_TRACE =	"TRACE";
	public static final String METHOD_CONNECT =	"CONNECT";
	
	/* COOKIE CONSTANTS */
	public static final String COOKIE_DOMAIN_LABEL =	"domain";
	public static final String COOKIE_PATH_LABEL =		"path";
	
	/* SCHEME CONSTANTS */
	public static final String HTTP_SCHEME =	"http";
	public static final String HTTPS_SCHEME =	"https";
	
	/* COOKIE CONSTANTS */
	public static final String COOKIE_SESSION_NAME = "sessionId";
	
	/* HEADER CONSTANTS */
	public static final String HEADER_NAME_ACCEPT =				"Accept";
	public static final String HEADER_NAME_ACCEPT_ENCODING =	"Accept-Encoding";
	public static final String HEADER_NAME_ACCEPT_LANGUAGE =	"Accept-Language";
	public static final String HEADER_NAME_COOKIE =				"Cookie";
	public static final String HEADER_NAME_CONNECTION =			"Connection";
	public static final String HEADER_NAME_CONTENT_LENGTH =		"Content-Length";
	public static final String HEADER_NAME_CONTENT_TYPE =		"Content-Type";
	public static final String HEADER_NAME_DATE =				"Date";
	public static final String HEADER_NAME_HOST =				"Host";
	public static final String HEADER_NAME_LOCATION =			"Location";
	public static final String HEADER_NAME_SET_COOKIE =			"Set-Cookie";
	public static final String HEADER_NAME_USER_AGENT =			"User-Agent";
	public static final String HEADER_NAME_TRANSFER_ENCODING =	"Transfer-Encoding";
	public static final String HEADER_VALUE_KEEP_ALIVE =		"keep-alive";
	public static final String HEADER_VALUE_FORM_ENCODED =		"application/x-www-form-urlencoded";
	public static final String HEADER_VALUE_CHUNKED =			"chunked";
	public static final String HEADER_VALUE_MULTIPART_START =	"multipart/";
	
	/* CONTENT TYPES */
	public static final String CONTENT_TYPE_TEXT_HTML = "text/html; charset=utf-8";
	
	/* VARIA */
	public static final String CRLF = "\r\n";

}
