package com.koutra.nodejava.utils;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.BlockingQueue;

public class Pool<T> {
	protected BlockingQueue<T> objectPool;
	
	public Pool(int size) {
		objectPool = new ArrayBlockingQueue<T>(size, true);
	}
	
	public T take() throws InterruptedException {
		return objectPool.take();
	}
	
	public void giveBack(T object) throws InterruptedException {
		objectPool.put(object);
	}
}
