package com.koutra.nodejava.utils;

import java.io.IOException;
import java.io.OutputStream;

import com.koutra.nodejava.impl.HttpResponse;

public class ResponseAwareOutputStream extends OutputStream {

	protected HttpResponse response;
	protected OutputStream underlyingOutputStream;
	
	public ResponseAwareOutputStream(HttpResponse response,
			OutputStream underlyingOutputStream) {
		this.response = response;
		this.underlyingOutputStream = underlyingOutputStream;
	}
	
	@Override
	public void flush() throws IOException {
		if (!response.isCommitted()) {
			response.commit();
		}
		underlyingOutputStream.flush();
	}

	@Override
	public void write(int b) throws IOException {
		underlyingOutputStream.write(b);
	}
	
	@Override
	public void write(byte[] b) throws IOException {
		underlyingOutputStream.write(b);
	}
	
	@Override
	public void write(byte[] b, int off, int len) throws IOException {
		underlyingOutputStream.write(b, off, len);
	}

}
