package com.koutra.nodejava.utils;

import java.io.PrintWriter;
import java.io.Writer;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.koutra.nodejava.impl.HttpResponse;

public class ResponseAwarePrintWriter extends PrintWriter {
	private static final Logger logger = LoggerFactory.getLogger(
			ResponseAwarePrintWriter.class);

	protected HttpResponse response;
	
	public ResponseAwarePrintWriter(HttpResponse response, Writer writer) {
		super(writer);
		this.response = response;
	}

	@Override
	public void flush() {
		if (!response.isCommitted()) {
			try {
				response.commit();
			} catch (Exception e) {
				logger.error("Exception occurred while commiting response.", e);
				throw new UnknownError("Exception occurred while commiting response.");
			}
		}
		super.flush();
	}
}
