package com.koutra.nodejava.velocity;

import java.util.HashMap;
import java.util.Map;

import org.apache.velocity.app.Velocity;

import com.koutra.nodejava.NodeJavaFacility;

public class VelocityContextFacility implements NodeJavaFacility {

	private Map<String, NodeJavaVelocityContext> velocityContextMap;
	
	public VelocityContextFacility() {
		velocityContextMap = new HashMap<String, NodeJavaVelocityContext>();
	}

	public NodeJavaVelocityContext getNodeJavaVelocityContext(
			String className, String requestPath) throws ClassNotFoundException,
			InstantiationException, IllegalAccessException {
		NodeJavaVelocityContext returnValue = velocityContextMap.get(requestPath);
		if (returnValue == null) {
			@SuppressWarnings("rawtypes")
			Class javaClass = Class.forName(className);
			returnValue = (NodeJavaVelocityContext) javaClass.newInstance();
			returnValue.setTemplate(Velocity.getTemplate(requestPath));
			velocityContextMap.put(requestPath, returnValue);
		}
		return returnValue;
	}
	
	public boolean hasRequestPathBeenVisited(String requestPath) {
		return velocityContextMap.get(requestPath) != null;
	}
	
}
