package com.koutra.nodejava.sample;

import java.io.IOException;
import java.io.PrintWriter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.StatelessHttpProcessor;
import com.koutra.nodejava.utils.HttpConstants;

public class SampleProcessor extends StatelessHttpProcessor {
	private static final Logger logger = LoggerFactory.getLogger(SampleProcessor.class);
	
	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		if (!request.getMethod().equals(HttpConstants.METHOD_GET)) {
			throw new NodeJavaException("Unsupported HTTP method.");
		}
		
		try {
			response.setStatus(HttpResponse.SC_OK);
			response.setContentType(HttpConstants.CONTENT_TYPE_TEXT_HTML);

			PrintWriter writer = response.getWriter();
			
			writer.write("<html>" + HttpConstants.CRLF); // 8
			writer.write("<head>" + HttpConstants.CRLF); // 8
			writer.write("<title>Funky title.</title>" + HttpConstants.CRLF); // 29
			writer.write("</head>" + HttpConstants.CRLF); // 9
			writer.write("<body>" + HttpConstants.CRLF); // 8
			writer.write("<p>This is a test.</p>" + HttpConstants.CRLF); // 24
			writer.write("</body>" + HttpConstants.CRLF); // 9
			writer.write("</html>" + HttpConstants.CRLF); // 9
		} catch (IOException e) {
			logger.error("Unable to write a response.");
		}
	}

}
