package com.koutra.nodejava.utils;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class ChunkedEncodingVerifyingOutputStream extends OutputStream {
	
	protected ByteArrayOutputStream underlyingStream;

	public ChunkedEncodingVerifyingOutputStream() {
		this.underlyingStream = new ByteArrayOutputStream();
	}

	@Override
	public void write(int b) throws IOException {
		underlyingStream.write(b);
	}
	
	@Override
	public void write(byte[] b) throws IOException {
		underlyingStream.write(b);
	}
	
	@Override
	public void write(byte[] b, int offset, int length) throws IOException {
		underlyingStream.write(b, offset, length);
	}
	
	public String getOutputString() {
		return underlyingStream.toString();
	}

}
