package com.koutra.nodejava.utils;

import java.io.IOException;
import java.io.OutputStream;
import java.io.Writer;

public class WriterOutputStream extends OutputStream {
	
	private Writer writer;
	private String encoding;
	private byte[] buffer;
	
	public WriterOutputStream(Writer writer, String encoding) {
		this.writer = writer;
		this.encoding = encoding;
		this.buffer = new byte[1];
	}
	
	@Override
	public void close() throws IOException {
		writer.close();
	}
	
	@Override
	public void flush() throws IOException {
		writer.flush();
	}

	@Override
	public void write(int b) throws IOException {
		buffer[0] = (byte) b;
		writer.write(new String(buffer, encoding));
	}
	
	@Override
	public void write(byte[] b) throws IOException {
		writer.write(new String(b, encoding));
	}
	
	@Override
	public void write(byte[] b, int off, int len) throws IOException {
		writer.write(new String(b, off, len, encoding));
	}

}
