package com.koutra.contacts;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java.util.ResourceBundle;

public class WebAppI18n {
	private static final Map<Locale, ResourceBundle> resourceBundleMap =
			new HashMap<Locale, ResourceBundle>();
	
	public static synchronized ResourceBundle getResourceBundle(Locale locale) {
		ResourceBundle returnValue = resourceBundleMap.get(locale);
		if (returnValue == null) {
			returnValue = ResourceBundle.getBundle(
					"com.koutra.contacts.i18n.ManageContacts", locale);
			resourceBundleMap.put(locale, returnValue);
		}
		
		return returnValue;
	}
	
	public static String get(String key, Locale locale) {
		return getResourceBundle(locale).getString(key);
	}
}
