package com.koutra.contacts.domain;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

public class ContactManager {
	private static final ContactManager singleton = new ContactManager();
	
	public static ContactManager get() {
		return singleton;
	}
	
	protected Map<String, Contact> contactMap;
	
	private ContactManager() {
		contactMap = new LinkedHashMap<String, Contact>();
		String id = UUID.randomUUID().toString();
		contactMap.put(id, new Contact(id, "John Doe", "1342 Smith Avenue", "jdoe@koutra.com"));
		id = UUID.randomUUID().toString();
		contactMap.put(id, new Contact(id, "Pete Smith", "1382 Doe Blvd", "psmith@koutra.com"));
	}
	
	public List<Contact> getContactList() {
		return new ArrayList<Contact>(contactMap.values());
	}
	
	public Contact getContact(String id) {
		return contactMap.get(id);
	}
	
	public boolean removeContact(String id) {
		return contactMap.remove(id) != null;
	}
	
	public void setContact(Contact c) {
		if (contactMap.containsKey(c.getId())) {
			Contact o = contactMap.get(c.getId());
			o.setName(c.getName());
			o.setAddress(c.getAddress());
			o.setEmail(c.getEmail());
		} else {
			contactMap.put(c.getId(), c);
		}
	}
}
