package contacts;

import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.HttpSession;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.velocity.NodeJavaVelocityContext;

public abstract class BaseProcessor extends NodeJavaVelocityContext {

	protected static final String loginPagePath = "/contacts/Login.vm";
	protected static final String homePagePath = "/contacts/Home.vm";
	
	protected boolean haltProcessing = false;

	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		
		// Comment this in to check chunked encoding.
		// response.setChunkedEncoding(true);
		// response.setBufferSize(20);
		
		HttpSession session = request.getSession(false);
		if (session != null) {
			// There is a session. Check if it is OK.
			if (isSessionValid(session)) {
				// Return without redirecting.
				return;
			}
		}
		
		// Let requests to the login page go through without redirecting.
		if (loginPagePath.equals(request.getPath())) {
			return;
		}

		// No other recourse left. Redirect to the login page.
		sendRedirect(loginPagePath, response);
		
		// signal to our inheritors that no more processing is required.
		haltProcessing = true;
	}
	
	private boolean isSessionValid(HttpSession session) {
		return session != null && session.isValid() && session.getAttribute("userid") != null;
	}

}
