package contacts;

import java.util.UUID;

import com.koutra.contacts.WebAppI18n;
import com.koutra.contacts.domain.Contact;
import com.koutra.contacts.domain.ContactManager;
import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.utils.HttpConstants;

public class EditContact extends BaseProcessor {
	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		super.process(request, response);
		if (haltProcessing) {
			return;
		}
		
		if (HttpConstants.METHOD_POST.equals(request.getMethod())) {
			handleEditorSubmit(request, response);
		} else {
			if (!HttpConstants.METHOD_GET.equals(request.getMethod())) {
				throw new NodeJavaException("Unexpected request method: " +
						request.getMethod());
			}
			
			String id = request.getParameter("id");
			Contact contact = ContactManager.get().getContact(id);
			if (contact == null) {
				contact = new Contact(UUID.randomUUID().toString(), "", "", "");
			}
			
			put("contact", contact);
			put("nameLabel",
					WebAppI18n.get("edit.contact.name.label", request.getLocale()));
			put("addressLabel",
					WebAppI18n.get("edit.contact.address.label", request.getLocale()));
			put("emailLabel",
					WebAppI18n.get("edit.contact.email.label", request.getLocale()));
			put("submitText",
					WebAppI18n.get("edit.contact.submit.text", request.getLocale()));
			
			sendNormalResponse(response);
		}
	}
	
	private void handleEditorSubmit(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		String id = request.getParameter("id");
		Contact contact = ContactManager.get().getContact(id);
		if (contact == null) {
			contact = new Contact(UUID.randomUUID().toString(), "", "", "");
		}
		
		contact.setName(request.getParameter("name"));
		contact.setAddress(request.getParameter("address"));
		contact.setEmail(request.getParameter("email"));
		
		ContactManager.get().setContact(contact);
		
		serverSideRedirect("/contacts/Home.vm", request, response);
	}
}
