package contacts;

import com.koutra.contacts.WebAppI18n;
import com.koutra.contacts.domain.ContactManager;
import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.NodeJavaException;

public class Home extends BaseProcessor {
	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		super.process(request, response);
		if (haltProcessing) {
			return;
		}
		
		put("contactList", ContactManager.get().getContactList());
		put("contactName",
				WebAppI18n.get("contact.table.name.header", request.getLocale()));
		put("contactAddress",
				WebAppI18n.get("contact.table.address.header", request.getLocale()));
		put("contactEmail",
				WebAppI18n.get("contact.table.email.header", request.getLocale()));
		put("contactRemove",
				WebAppI18n.get("contact.table.remove.header", request.getLocale()));
		put("newContactText",
				WebAppI18n.get("contact.table.new.contact.text", request.getLocale()));
		put("removeContactText",
				WebAppI18n.get("contact.table.remove.contact.text", request.getLocale()));
		
		sendNormalResponse(response);
	}
}
