package contacts;

import com.koutra.contacts.WebAppI18n;
import com.koutra.nodejava.Cookie;
import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.HttpSession;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.utils.HttpConstants;

public class Login extends BaseProcessor {

	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		super.process(request, response);
		if (haltProcessing) {
			return;
		}
		
		if (HttpConstants.METHOD_GET.equals(request.getMethod())) {
			displayLoginForm(request, response);
		} else {
			if (!HttpConstants.METHOD_POST.equals(request.getMethod())) {
				throw new NodeJavaException(
						"Unexpected method: " + request.getMethod());
			}
			handleLoginFormSubmit(request, response);
		}
	}
	
	private void displayLoginForm(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		put("usernameLabel",
				WebAppI18n.get("login.username.label", request.getLocale()));
		put("usernameValue", "");
		put("passwordLabel",
				WebAppI18n.get("login.password.label", request.getLocale()));
		put("passwordValue", "");
		put("submitText",
				WebAppI18n.get("login.submit.text", request.getLocale()));
		
		sendNormalResponse(response);
	}
	
	private void handleLoginFormSubmit(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		String username = request.getParameter("username");
		String password = request.getParameter("password");
		if (areCredentialsValid(username, password)) {
			HttpSession session = request.getSession(true);
			session.setAttribute("userid", username);
			response.addCookie(
					new Cookie(HttpConstants.COOKIE_SESSION_NAME,
							session.getId()));
			serverSideRedirect(homePagePath, request, response);
		} else {
			put("usernameLabel",
					WebAppI18n.get("login.username.label", request.getLocale()));
			put("usernameValue", username);
			put("passwordLabel",
					WebAppI18n.get("login.password.label", request.getLocale()));
			put("passwordValue", "");
			put("submitText",
					WebAppI18n.get("login.submit.text", request.getLocale()));
			put("errorMessage",
					WebAppI18n.get("login.unknown.credentials", request.getLocale()));
			
			sendNormalResponse(response);
		}
	}
	
	private boolean areCredentialsValid(String username, String password) {
		return "foo".equals(username) && "bar".equals(password);
	}
}
